Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
CoinBaseModel Class Referenceabstract

`#include <CoinModel.hpp>`

Inheritance diagram for CoinBaseModel:
[legend]
Collaboration diagram for CoinBaseModel:
[legend]

## Public Member Functions
Constructors, destructor
| CoinBaseModel ()
| Default Constructor. More...
| CoinBaseModel (const CoinBaseModel &rhs)
| Copy constructor. More...
CoinBaseModel & | operator= (const CoinBaseModel &rhs)
| Assignment operator. More...
virtual CoinBaseModel * | clone () const =0
| Clone. More...
virtual | ~CoinBaseModel ()
| Destructor. More...
For getting information
int | numberRows () const
| Return number of rows. More...
int | numberColumns () const
| Return number of columns. More...
virtual CoinBigIndex | numberElements () const =0
| Return number of elements. More...
double | objectiveOffset () const
| Returns the (constant) objective offset This is the RHS entry for the objective row. More...
void | setObjectiveOffset (double value)
| Set objective offset. More...
double | optimizationDirection () const
| Direction of optimization (1 - minimize, -1 - maximize, 0 - ignore. More...
void | setOptimizationDirection (double value)
| Set direction of optimization (1 - minimize, -1 - maximize, 0 - ignore. More...
int | logLevel () const
| Get print level 0 - off, 1 - errors, 2 - more. More...
void | setLogLevel (int value)
| Set print level 0 - off, 1 - errors, 2 - more. More...
const char * | getProblemName () const
| Return the problem name. More...
void | setProblemName (const char *name)
| Set problem name. More...
void | setProblemName (const std::string &name)
| Set problem name. More...
const std::string & | getRowBlock () const
| Return the row block name. More...
void | setRowBlock (const std::string &name)
| Set row block name. More...
const std::string & | getColumnBlock () const
| Return the column block name. More...
void | setColumnBlock (const std::string &name)
| Set column block name. More...
void | setMessageHandler (CoinMessageHandler *handler)
| Pass in message handler. More...

## Protected Attributes
Data members
int | numberRows_
| Current number of rows. More...
int | numberColumns_
| Current number of columns. More...
double | optimizationDirection_
| Direction of optimization (1 - minimize, -1 - maximize, 0 - ignore. More...
double | objectiveOffset_
| Objective offset to be passed on. More...
std::string | problemName_
| Problem name. More...
std::string | rowBlockName_
| Rowblock name. More...
std::string | columnBlockName_
| Columnblock name. More...
CoinMessageHandler * | handler_
| Message handler (Passed in) More...
CoinMessages | messages_
| Messages. More...
int | logLevel_
| Print level. More...

## Detailed Description

Definition at line 13 of file CoinModel.hpp.

## Constructor & Destructor Documentation

CoinBaseModel::CoinBaseModel | ( |  | ) |

Default Constructor.

CoinBaseModel::CoinBaseModel | ( | const CoinBaseModel & | rhs | ) |

Copy constructor.

virtual CoinBaseModel::~CoinBaseModel | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

CoinBaseModel& CoinBaseModel::operator= | ( | const CoinBaseModel & | rhs | ) |

Assignment operator.

virtual CoinBaseModel* CoinBaseModel::clone | ( |  | ) | const
| pure virtual

Clone.

Implemented in CoinModel, and CoinStructuredModel.

int CoinBaseModel::numberRows | ( |  | ) | const
| inline

Return number of rows.

Definition at line 37 of file CoinModel.hpp.

int CoinBaseModel::numberColumns | ( |  | ) | const
| inline

Return number of columns.

Definition at line 42 of file CoinModel.hpp.

virtual CoinBigIndex CoinBaseModel::numberElements | ( |  | ) | const
| pure virtual

Return number of elements.

Implemented in CoinModel, and CoinStructuredModel.

double CoinBaseModel::objectiveOffset | ( |  | ) | const
| inline

Returns the (constant) objective offset This is the RHS entry for the objective row.

Definition at line 51 of file CoinModel.hpp.

void CoinBaseModel::setObjectiveOffset | ( | double | value | ) |
| inline

Set objective offset.

Definition at line 56 of file CoinModel.hpp.

double CoinBaseModel::optimizationDirection | ( |  | ) | const
| inline

Direction of optimization (1 - minimize, -1 - maximize, 0 - ignore.

Definition at line 61 of file CoinModel.hpp.

void CoinBaseModel::setOptimizationDirection | ( | double | value | ) |
| inline

Set direction of optimization (1 - minimize, -1 - maximize, 0 - ignore.

Definition at line 66 of file CoinModel.hpp.

int CoinBaseModel::logLevel | ( |  | ) | const
| inline

Get print level 0 - off, 1 - errors, 2 - more.

Definition at line 71 of file CoinModel.hpp.

void CoinBaseModel::setLogLevel | ( | int | value | ) |

Set print level 0 - off, 1 - errors, 2 - more.

const char* CoinBaseModel::getProblemName | ( |  | ) | const
| inline

Return the problem name.

Definition at line 78 of file CoinModel.hpp.

void CoinBaseModel::setProblemName | ( | const char * | name | ) |

Set problem name.

void CoinBaseModel::setProblemName | ( | const std::string & | name | ) |

Set problem name.

const std::string& CoinBaseModel::getRowBlock | ( |  | ) | const
| inline

Return the row block name.

Definition at line 87 of file CoinModel.hpp.

void CoinBaseModel::setRowBlock | ( | const std::string & | name | ) |
| inline

Set row block name.

Definition at line 92 of file CoinModel.hpp.

const std::string& CoinBaseModel::getColumnBlock | ( |  | ) | const
| inline

Return the column block name.

Definition at line 97 of file CoinModel.hpp.

void CoinBaseModel::setColumnBlock | ( | const std::string & | name | ) |
| inline

Set column block name.

Definition at line 102 of file CoinModel.hpp.

void CoinBaseModel::setMessageHandler | ( | CoinMessageHandler * | handler | ) |

Pass in message handler.

## Member Data Documentation

int CoinBaseModel::numberRows_
| protected

Current number of rows.

Definition at line 114 of file CoinModel.hpp.

int CoinBaseModel::numberColumns_
| protected

Current number of columns.

Definition at line 116 of file CoinModel.hpp.

double CoinBaseModel::optimizationDirection_
| protected

Direction of optimization (1 - minimize, -1 - maximize, 0 - ignore.

Definition at line 118 of file CoinModel.hpp.

double CoinBaseModel::objectiveOffset_
| protected

Objective offset to be passed on.

Definition at line 120 of file CoinModel.hpp.

std::string CoinBaseModel::problemName_
| protected

Problem name.

Definition at line 122 of file CoinModel.hpp.

std::string CoinBaseModel::rowBlockName_
| protected

Rowblock name.

Definition at line 124 of file CoinModel.hpp.

std::string CoinBaseModel::columnBlockName_
| protected

Columnblock name.

Definition at line 126 of file CoinModel.hpp.

CoinMessageHandler* CoinBaseModel::handler_
| protected

Message handler (Passed in)

Definition at line 128 of file CoinModel.hpp.

CoinMessages CoinBaseModel::messages_
| protected

Messages.

Definition at line 130 of file CoinModel.hpp.

int CoinBaseModel::logLevel_
| protected

Print level.

I could have gone for full message handling but this should normally be silent and lightweight. -1 - use passed in message handler 0 - no output 1 - on errors 2 - more detailed

Definition at line 140 of file CoinModel.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/CoinUtils/src/CoinModel.hpp